Bug 816000 - Agent PID file cannot be created during startup (RPM installation - non-EC2)
Agent PID file cannot be created during startup (RPM installation - non-EC2)
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 707235 817100 837381
  Show dependency treegraph
 
Reported: 2012-04-24 22:46 EDT by Stefan Negrea
Modified: 2013-09-03 11:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 817100 (view as bug list)
Environment:
Last Closed: 2013-09-03 11:05:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ec2_pid (581.09 KB, image/png)
2012-07-23 07:18 EDT, Armine Hovsepyan
no flags Details
varRun ownership (187.04 KB, image/png)
2012-07-23 11:12 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Stefan Negrea 2012-04-24 22:46:21 EDT
Description of problem:
The agent service cannot create the PID file during startup due to inssuficient file permissions to write to /var/run. The agent is started under a non-root username (created during the installation process).

How reproducible:
Everytime

Steps to Reproduce:
1. Install JON Agent RPM
2. Try to start the service
  
Actual results:
The agent gets started but cannot create the PID file and is reporting an error.

Expected results:
The agent gets started and the PID file gets created.

Additional info:
The solution is to create a subfolder under /var/run that has write permissions for the agent user.

The problem applies issue applies to both EC2 and non-EC2 agent RPMs.
Comment 1 Stefan Negrea 2012-04-27 13:38:00 EDT
Created bug 817100 to track EC2 specific work.
Comment 2 Stefan Negrea 2012-04-27 13:42:34 EDT
This has now been resolved for the non-EC2 JON agent RPM. The solution only required changes to the RPM template spec file.

The pid files will be stored in /var/run/jboss-on/agent. JON agent user has full access to the folder.
Comment 3 Armine Hovsepyan 2012-07-23 07:17:47 EDT
reopened.

Agent starts correctly but the pid file is not being created under /var/run/jboss-on/agent.

Please get screenshot attached.attached
Comment 4 Armine Hovsepyan 2012-07-23 07:18:20 EDT
Created attachment 599756 [details]
ec2_pid
Comment 5 Armine Hovsepyan 2012-07-23 11:12:36 EDT
Created attachment 599814 [details]
varRun ownership
Comment 6 Stefan Negrea 2012-07-25 09:33:49 EDT
Applied a couple of fixes to separate regular and ec2 pid folders. Please retest this in conjunction with regular RPMs (non-EC2).
Comment 7 Armine Hovsepyan 2012-07-26 04:43:11 EDT
Hi Stefan,

PID still is not being created for ec2. for regular jon service is is being created correctly.
Comment 8 Armine Hovsepyan 2012-07-26 05:27:53 EDT
sorry. non-ec2 PID was being created correctly.
marking bug as verified.

Thank you Stefan.
Comment 9 Heiko W. Rupp 2013-09-03 11:05:43 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.